Skip to content
Start here

List PagerDuty services

GET/accounts/{account_id}/alerting/v3/destinations/pagerduty

Get a list of all configured PagerDuty services.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zero Trust: PII ReadNotifications WriteNotifications ReadAccount Settings WriteAccount Settings Read
Path ParametersExpand Collapse
account_id: string

The account id

maxLength32
ReturnsExpand Collapse
errors: array of { message, code }
message: string
code: optional number
minimum1000
messages: array of { message, code }
message: string
code: optional number
minimum1000
success: true

Whether the API call was successful

result: optional array of Pagerduty { id, name }
id: optional string

UUID

maxLength32
name: optional string

The name of the pagerduty service.

List PagerDuty services

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/alerting/v3/destinations/pagerduty \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "errors": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "success": true,
  "result": [
    {
      "id": "f174e90afafe4643bbbc4a0ed4fc8415",
      "name": "My PagerDuty Service"
    }
  ]
}
Returns Examples
{
  "errors": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "success": true,
  "result": [
    {
      "id": "f174e90afafe4643bbbc4a0ed4fc8415",
      "name": "My PagerDuty Service"
    }
  ]
}